package com.house365.ws.service.interfaces;

import com.house365.beans.entity.DepartmentEntity;
import com.house365.beans.entity.UserEntity;

import java.io.IOException;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2017/3/25</p>
 *
 * @author XN
 * @version 1.0
 */
public interface IWechatService {

    void callWechatUserAPI(UserEntity entity, String url) throws IOException;

    void deleteWechatUser(Integer id);

    void sendTextMessage(String touser, String content);

    void sendCardTextMessage(String touser, String title, String description, String url, String btntxt);

    void callWechatDepartmentAPI(DepartmentEntity entity, String url) throws IOException;

    void deleteWechatDepartment(Integer id);
}
